# TSPVodeSetGramSchmidtType

Sets type of orthogonalization used in GMRES method by PVODE linear solver.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSPVodeSetGramSchmidtType(TS ts,TSPVodeGramSchmidtType type)

Collective on TS

### Input parameters

| ts | - the time-step context
| type | - either PVODE_MODIFIED_GS or PVODE_CLASSICAL_GS

### Keywords

PVode, orthogonalization

### See Also

TSPVodeGetIterations(), TSPVodeSetType(), TSPVodeSetGMRESRestart(),
TSPVodeSetLinearTolerance(), TSPVodeSetTolerance(), TSPVodeGetIterations(), TSPVodeSetType(), TSPVodeSetGMRESRestart(), TSPVodeSetLinearTolerance(), TSPVodeSetTolerance(), TSPVodeGetPC(), TSPVodeSetExactFinalTime()

Level:advanced
Location:src/ts/impls/implicit/pvode/petscpvode.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages